#!/bin/sh

FILE=New.gif
FILEBASE=${FILE%%.gif}

CONVSCRIPT=convert-$$.sh

#
# Convert .gif to .png with timing output
#
gif2png -t -O $FILE >${FILEBASE}.delay

#
# Rename first file from .png to .p00
#
mv ${FILEBASE}.png ${FILEBASE}.p00

#
# Start command line for concatenation
#
echo "../smap2dp \\" >${CONVSCRIPT}

#
# Iterate through files
#
for i in ${FILEBASE}.p??; do
 echo $i
 #
 # Convert .png to .smap
 #
 pngtopnm ${i} | ../ppm2smap >${i}.smap
 #
 # Build command line for concatenation
 #
 DELAY=1
 echo " -input ${i}.smap -url \"\" -delay $DELAY \\" >>${CONVSCRIPT} 
done

echo " -output ${FILEBASE}.dp" >>${CONVSCRIPT}

#
# Run .smap to .dp conversion script
#
. ${CONVSCRIPT}

#
# Clean up
# 
rm -f ${FILEBASE}.p?? ${FILEBASE}.delay ${FILEBASE}.p??.smap ${CONVSCRIPT}
